
/*body*/
* {box-sizing: border-box;}

body { font-family: Arial, Helvetica, sans-serif; padding: 0px; margin: 0px auto;}

@media (max-width: 768px) {body {flex-direction: column; align-items: stretch;}
}


/*header*/
header {background: #950000; color: #fff; padding: 10px; text-align: center; font-size: 20px; font-weight: bold;}


/*container*/
.card1 {width: 100%; background: #ffffff; display: flex; justify-content: center; align-items: center; margin: 0px auto; flex-direction: column; 
        text-decoration: none; padding: 5px; border-radius: 10px; box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.575);}

.container {width: auto; align-items: center; margin: opx auto; justify-content: center;}

.container-menu {width: 100%; background: #003d0d; justify-content: center; padding: 10px; margin: 0px auto; gap: 20px;}

.container-card {width: 95%; background: #baface; margin: 0px auto; border-radius: 25px;}

.container-btn {width: auto; display: flex; gap: 5px; margin: auto;}

.container-cover {width: 100%; display: flex; justify-content: center; margin: 0px auto; gap: 30px;}

.container-tengah1 {width: 100%; display: flex; justify-content: center; margin: 0px auto; gap: 5px;}

.container-tengah2 {width: 100%; display: flex; justify-content: center; align-items: center; margin: 0px auto; flex-direction: column; text-decoration: none;}

.container-bawah {width: 100%; display: flex; justify-content: center; align-items: center; position: fixed;
                    bottom: 0; left: 0; z-index: 1000; flex-direction: column;}

.container-kiri {width: auto; padding: 30px; align-items: center; justify-content: center;}

.container-kanan {width: 100%; padding: 30px; align-items: center; justify-content: center;}

.container-20 {width: 20%; margin: 0px auto;}

.container-form {width: 40%; margin: 0px auto;}

.container-tengah11 {width: 100%; background: rgb(184, 219, 255); color: #000000; display: flex; justify-content: center; flex-direction: column; 
                        align-items: center; padding: 15px; margin: 0px auto; border-radius: 10px; box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.575); text-decoration: none;}

            .container-tengah11:hover {background: rgb(219, 242, 251);box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);}

.container-grid {display: grid; grid-template-columns: repeat(auto-fill, minmax(150px, 1fr)); gap: 10px; padding: 10px;}

@media (max-width: 768px) {
    .container {width: auto;}
    .container-menu {width: 100%;}
    .container-card {width: 95%;}
    .container-btn {width: 100%;}
    .container-cover {width: 100%;}
    .container-tengah1 {width: 95%; flex-direction: column; align-items: stretch;}
    .container-tengah2 {width: 90%;}
    .container-tengah11 {width: 100%;}
    .container-bawah {width: 100%;}
    .container-kiri {width: auto; padding: 3px;}
    .container-kanan {width: auto; padding: 3px;}
    .container-20 {width: 95%;}
    .container-form {width: 90%;}
    .container-grid {display: grid; grid-template-columns: repeat(auto-fill, minmax(150px, 1fr)); gap: 10px; padding: 40px;}
}

/*DETAIL*/
.judul {
  color: #000000;
  font-weight: bold;
  margin-bottom: 6px;
  font-size: 22px;

  display: flex;
  align-items: center;
}

.judul2 {
  color: #000000;
  margin-bottom: 6px;
  font-size: 18px;

  display: flex;
  align-items: center;
}

.deskripsi {
  color: #000000;
  margin-bottom: 6px;
  font-size: 18px;

  display: flex;
  align-items: center;
}


.label {
  width: 40%;   /* atur lebar label biar sejajar */
}

.titik {
  margin-right: 10px; /* jarak titik dua dengan isi */
}

  @media (max-width: 768px) {
    .judul {margin-bottom: 3px; font-size: 18px;}
    .judul2 {margin-bottom: 3px; font-size: 16px;}
    .deskripsi {margin-bottom: 3px; font-size: 14px;}
    .label {width: 40%;}
    .titik {margin-right: 8px;}
    }


/*btn*/
.btn-biru {display: block; width: auto; background: #0418cd; font-size: 14px; color: #ffffff !important; text-align: center; padding: 8px 40px; 
            border-radius: 10px; text-decoration: none;}
    .btn-biru:hover {background: #6963ff;}

.btn-hijau {display: block; width: auto; background: rgb(0, 147, 12); font-size: 14px; color: #ffffff !important; text-align: center; padding: 8px 40px; 
            border-radius: 10px; text-decoration: none;}
    .btn-hijau:hover {background: #a1f383;}

.btn-merah {display: block; width: auto; background: #ff0000; font-size: 16px; color: #ffffff !important; text-align: center; padding: 8px 40px; 
            border-radius: 8px; text-decoration: none;}
    .btn-merah:hover {background: #ff6464;}

.btn-hitam {display: block; width: auto; background: #252525; font-size: 16px; color: #ffffff !important; text-align: center; padding: 8px 40px; 
            border-radius: 8px; text-decoration: none;}
    .btn-hitam:hover {background: #6f6f6f;}

button {display: block; width: auto; background: #fd7600; font-size: 14px; color: #ffffff !important; text-align: center; padding: 8px 15px; 
            border: none; border-radius: 10px; text-decoration: none;}
    button:hover {background-color: rgb(255, 171, 81); cursor: pointer;}

input[type="submit"] {background-color: rgba(44, 44, 44, 0.914); width: auto; padding: 10px 40px; border-radius: 5px; font-size: 16px; font-weight: bold;
         cursor: pointer; color: #ffffffff; text-align: center; display: flex;}
    input[type="submit"]:hover {background-color: rgba(107, 107, 107, 0.914);}

.clickable-row {cursor: pointer; background-color: rgb(255, 255, 255);}
        .clickable-row:hover {background-color: rgb(184, 236, 255); transition: background-color 0.3s ease;}



/*Form*/
label { width: 100%; display: block; font-size: 15px; font-style: italic; margin-bottom: 1px; }

input, select { width: 100%; font-size: 16px; font-weight: bold; background-color: rgb(217, 217, 217); 
                border: none; border-radius: 8px; box-sizing: border-box; padding: 8px;}

.form-group input[readonly] { width: 100%; font-size: 16px; font-weight: bold; background: white; border: none; cursor:no-drop;
                                box-sizing: border-box; padding: 4px;}

textarea { width: 100%; height: 200px; padding: 10px; margin-bottom: 3px; font-size: 14px;
            border-radius: 8px; border: 1px solid #6c757d; resize: vertical;}


/*huruf*/
h1 {font-size: 35px; margin: 1px;}
h2 {font-size: 25px; margin: 1px;}
h3 {font-size: 20px; margin: 1px;}
h4 {font-size: 16px; margin: 1px;}
h5 {font-size: 14px; margin: 1px;}
    @media (max-width: 768px) {
        h1 {font-size: 30px; }
        h2 {font-size: 18px; }
        h3 {font-size: 14px; }
        h4 {font-size: 14px; }
        h5 {font-size: 12px; }
        }


/*tabel*/
table {background-color: white; width: 100%; border-collapse: collapse; font-size: 12px;}
th, td {padding: 8px; border: 1px solid #ccc; text-align: left;}
.table-wrapper {width: 100%; overflow-x: auto; overflow-y: hidden; border: 1px solid #ccc; background: #fff; padding: 0px;}
.table-wrapper table {border-collapse: collapse; min-width: 800px; width: 100%;}
.table-wrapper th,
.table-wrapper td {padding-bottom: 10px; text-align: left; white-space: nowrap;}
.table-container {width: 100%; overflow-x: auto;}

/* ==== Tampilan Mobile Jadi Card ==== */
@media (max-width: 768px) {
  table, thead, tbody, th, td, tr {display: block;}
  thead {display: none;}
  tr {margin-bottom: 15px; border: 1px solid #ccc; border-radius: 8px; padding: 10px; background: #f9f9f9;}
  td {font-size: 14px; font-weight: bold; border: none; padding: 6px 10px; position: relative; text-align: left;}

  td::before {content: attr(data-label); font-size: 12px; display: block; margin-bottom: 3px; color: #333;}
}



/*header*/
ul {list-style: none; margin: 0; padding: 0; background: rgb(0, 42, 63);}
ul li {position: relative; float: left;}
ul li a {display: block; padding: 10px 15px; text-decoration: none;}
ul li a:hover {background: rgb(12, 96, 205);}

    /* Submenu level 1 */
    ul li ul {display: none; position: absolute; top: 100%; right: 0; background: rgb(56, 142, 255); min-width: 280px;}
    ul li ul li {float: none;}

    /* Submenu level 2 */
    ul li ul li ul {top: 0; left: 50%;}

    /* Munculkan submenu saat hover */
    ul li:hover > ul {display: block;}


/*gambar*/
.cover-img {width: 100%; justify-content: center; text-align: center;}
.card-img {width: auto; height: 500px; justify-content: center; text-align: center; margin: 0px auto;}
.logoKecil-img {width: 100px; height: auto; justify-content: center; text-align: center;}
.logoBesar-img {width: 150px; height: auto; justify-content: center; text-align: center;}
.fotoKecil-img {width: 200px; height: auto; justify-content: center; text-align: center; border-radius: 10px;}
.fotoBesar-img {width: 350px; height: auto; justify-content: center; text-align: center; margin: 0px auto;}
    @media (max-width: 768px) {
        .cover-img {width: 100%;}
        .card-img {width: 100%; height: auto;}
        .logoKecil-img {width: 50px;}
        .logoBesar-img {width: 80px;}
        .fotoKecil-img {width: 90px;}
        .fotoBesar-img {width: 200px;}
    }


/*ikon mata buka tutup unyuk password*/
/* CSS */
.password-wrapper {
  position: relative;
  width: 100%;
  max-width: 420px; /* ubah sesuai kebutuhan */
  margin: 0;
}

/* style input agar ada ruang untuk ikon di kanan */
.password-wrapper input {
  width: 100%;
  padding: 10px 44px 10px 12px; /* kanan lebih besar untuk ikon */
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 8px;
  outline: none;
  transition: border-color .15s ease, box-shadow .15s ease;
  box-sizing: border-box;
}

/* fokus input */
.password-wrapper input:focus {
  border-color: #356cb8;
  box-shadow: 0 0 0 3px rgba(53,108,184,0.12);
}

/* lihat dan sembunyikan password */
.toggle-text {
  color: #000c5d;
  padding: 10px;
  cursor: pointer;
  font-size: 16px;
  text-decoration: none;
  box-sizing: border-box;
}

.error-message, .success-message {
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 20px;
    text-align: center;
    margin: auto;
    }
        .error-message {
            background-color: #f8d7da;
            color: #721c24;
            border: 1px solid #f5c6cb;
        }

        .success-message {
            background-color: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }


.grid {
  display: grid;
  width: 90%;
  grid-template-columns: repeat(6, minmax(0, 1fr));
  gap: 25px;
  margin: auto;
}
@media (max-width: 768px) {
    .grid {grid-template-columns: repeat(3, minmax(0, 1fr));}
}


.toggle-text {
  color: #000c5d;
  padding: 10px;
  cursor: pointer;
  font-size: 14px;
  text-decoration: none;
  box-sizing: border-box;
}